apptainer(1)

NAME

apptainer-overlay-create - Create EXT3 writable overlay image

SYNOPSIS

apptainer overlay create image

DESCRIPTION

The overlay create command allows creating EXT3 writable overlay image either
  as a single EXT3 image or by adding it automatically to an existing SIF image.

OPTIONS

--create-dir=[]
    directory to create as part of the overlay layout

-f, --fakeroot[=false]
    make overlay layout usable by actions run with --fakeroot

-h, --help[=false]
    help for create

-s, --size=64
    size of the EXT3 writable overlay in MiB

-S, --sparse[=false]
    create a sparse overlay

EXAMPLE

      To create and add a writable overlay to an existing SIF image:
      $ apptainer overlay create --size 1024 /tmp/image.sif
      To create a single EXT3 writable overlay image:
      $ apptainer overlay create --size 1024 /tmp/my_overlay.img
      To create a sparse overlay when creating a new ext3 file system image:
      $ apptainer overlay create --size 1024 --sparse /tmp/ext3_overlay.img
      To create an EXT3 writable overlay image for use with --fakeroot actions:
      $ apptainer overlay create --fakeroot --size 1024 /tmp/my_overlay.img

SEE ALSO

apptainer-overlay(1)

HISTORY

29-Jul-2023 Auto generated by spf13/cobra